
#' @name transreg-package
#' @keywords documentation
#' @docType package
#' 
#' @title
#' Penalised regression with multiple sets of prior effects
#' 
#' @description
#' The R package `transreg` implements penalised regression
#' with multiple sets of prior effects.
#' 
#' @details
#' Use function [transreg()] for model fitting.
#' Type `library(transreg)` and then `?transreg` or
#' `help("transreg")` to open its help file.
#' 
#' See the vignette for further examples.
#' Type `vignette("transreg")` or `browseVignettes("transreg")`
#' to open the vignette.
#' 
#' @references
#' Armin Rauschenberger 
#' [![AR](orcid.png){height=10px}](https://orcid.org/0000-0001-6498-4801),
#' Zied Landoulsi
#' [![ZL](orcid.png){height=10px}](https://orcid.org/0000-0002-2327-3904),
#' Mark A. van de Wiel 
#' [![MvdW](orcid.png){height=10px}](https://orcid.org/0000-0003-4780-8472),
#' and Enrico Glaab
#' [![EG](orcid.png){height=10px}](https://orcid.org/0000-0003-3977-7469)
#' (2022).
#' "Penalised regression with multiple sets of prior effects".
#' *Bioinformatics (In press).*
#' \doi{10.48550/arXiv.2212.08581}
#' \email{armin.rauschenberger@uni.lu}
#' 
#' @examples
#' ?transreg
#' ?predict.transreg
#' ?coef.transreg
#' 
NULL
